## org.mortbay.jndi
Class NamingContext.NameEnumeration

    java.lang.Object
      |
      +--org.mortbay.jndi.NamingContext.NameEnumeration

All Implemented Interfaces:
  java.util.Enumeration, javax.naming.NamingEnumeration

Enclosing class:
  NamingContext

public class NamingContext.NameEnumeration
extends java.lang.Object
implements javax.naming.NamingEnumeration

NameEnumeration

Implementation of NamingEnumeration interface.

#### Notes

Used for returning results of Context.list();

#### Usage

###

###

###

###

###

###

    Constructor Summary

    NamingContext.NameEnumeration(java.util.Enumeration e)

    Method Summary

     void
    close()

     boolean
    hasMore()

     boolean
    hasMoreElements()

     java.lang.Object
    next()

     java.lang.Object
    nextElement()

    Methods inherited from class java.lang.Object

    equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

    Constructor Detail

    NamingContext.NameEnumeration

    public NamingContext.NameEnumeration(java.util.Enumeration e)

    Method Detail

    close

    public void close()
               throws javax.naming.NamingException

    Specified by:close in interface javax.naming.NamingEnumeration

    javax.naming.NamingException

    hasMore

    public boolean hasMore()
                    throws javax.naming.NamingException

    Specified by:hasMore in interface javax.naming.NamingEnumeration

    javax.naming.NamingException

    next

    public java.lang.Object next()
                          throws javax.naming.NamingException

    Specified by:next in interface javax.naming.NamingEnumeration

    javax.naming.NamingException

    hasMoreElements

    public boolean hasMoreElements()

    Specified by:hasMoreElements in interface java.util.Enumeration

    nextElement

    public java.lang.Object nextElement()

    Specified by:nextElement in interface java.util.Enumeration

    Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.